Summary:   Lightweight Directory Access Protocol clients/servers
Name:      openldap1
Version:   1.2.13
Release:   1tr
URL:       http://www.openldap.org/
Source0:   ftp://ftp.openldap.org/pub/OpenLDAP/openldap-release/openldap-%{version}.tgz
Source1:   ldap.init
Patch:     openldap-conf.patch
License: Freely distributable
Group:     Environment/Databases
Prereq:    /sbin/chkconfig /sbin/restart_maybe
BuildRoot: /tmp/%{name}-%{version}-root
Provides: openldap

%description
LDAP servers and clients, as well as interfaces to other protocols.
Note that this does not include the slapd interface to X.500 and
therefore does not require the ISODE package. 

%package devel
Summary:  LDAP development files
Group:    Libraries/Development
Requires: %{name}
Provides: openldap-devel

%description devel
Header files and libraries for developing applications that use LDAP.

%package servers
Summary: LDAP servers
Group:   Network/Services

%description servers
The servers (daemons) that come with LDAP.

%prep

%setup -q -n openldap-%{version}

#%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --libexecdir=/usr/sbin \
            --localstatedir=/var/run \
            --sysconfdir=/etc \
	    --mandir=/usr/share \
            --datadir=/etc \
            --with-subdir=ldap \
	    --enable-dns \
            --enable-cldap \
            --with-kerberos \
	    --enable-wrappers \
	    --enable-phonetic \
	    --enable-passwd \
	    --enable-shell \
            --enable-shared

make

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/ldap
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d -m 700 $RPM_BUILD_ROOT/var/ldap

make prefix=$RPM_BUILD_ROOT/usr \
     sysconfdir=$RPM_BUILD_ROOT/etc \
     datadir=$RPM_BUILD_ROOT/etc \
     libexecdir=$RPM_BUILD_ROOT/usr/sbin \
     mandir=$RPM_BUILD_ROOT/usr/share/man \
     install

# fubarred makefiles
for I in $RPM_BUILD_ROOT/etc/*.conf* \
   $RPM_BUILD_ROOT/etc/*.help* \
   $RPM_BUILD_ROOT/etc/ldapfriendly; do
   sed -e "s,$RPM_BUILD_ROOT,,g" \
   -e "s,/etc,/etc/ldap,g" \
   -e "s,/etc/ldap/ldap,/etc/ldap,g" \
   $I > $RPM_BUILD_ROOT/etc/ldap/`basename $I`
done

sed -e "s,/var/run/openldap-ldbm,/var/lib/openldap-ldbm," \
  $RPM_BUILD_ROOT/etc/ldap/slapd.conf > $RPM_BUILD_ROOT/etc/ldap/slapd.conf.tmp
mv $RPM_BUILD_ROOT/etc/ldap/slapd.conf.tmp $RPM_BUILD_ROOT/etc/ldap/slapd.conf

chmod og-rwx $RPM_BUILD_ROOT/etc/ldap/slapd.conf
chmod 755 $RPM_BUILD_ROOT/usr/bin/ud

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ldap

echo localhost > $RPM_BUILD_ROOT/etc/ldap/ldapserver

mv -f $RPM_BUILD_ROOT/usr/sbin/xrpcomp $RPM_BUILD_ROOT/usr/bin

chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so.*

strip $RPM_BUILD_ROOT/usr/{*bin/*,lib/lib*.so.*.*.*} ||:

mkdir -p $RPM_BUILD_ROOT/var/lib/openldap-ldbm

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%preun servers
if [ "$1" = 0 ] ; then
  if [ -f /var/lock/subsys/ldap ]; then
    /etc/rc.d/init.d/ldap stop
  fi
  /sbin/chkconfig --del ldap
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ANNOUNCEMENT CHANGES COPYRIGHT INSTALL README
%doc doc/rfc/rfc*
%config /etc/ldap/ldapfilter.conf
%config /etc/ldap/ldapserver
%config /etc/ldap/ldapfriendly
%config /etc/ldap/ldaptemplates.conf
%config /etc/ldap/ldapsearchprefs.conf
%config /etc/ldap/ldap.conf
/usr/bin/*
/usr/lib/lib*.so.*.*.*
%attr(-,root,man) /usr/share/man/man1/*
%attr(-,root,man) /usr/share/man/man5/ldapfilter.conf.5*
%attr(-,root,man) /usr/share/man/man5/ldapfriendly.5*
%attr(-,root,man) /usr/share/man/man5/ldapsearchprefs.conf.5*
%attr(-,root,man) /usr/share/man/man5/ldaptemplates.conf.5*
%attr(-,root,man) /usr/share/man/man5/ud.conf.5*
%attr(-,root,man) /usr/share/man/man5/ldap.conf.5*

%files devel
%defattr(-,root,root)
/usr/include/*.h
/usr/lib/lib*.a
/usr/lib/lib*.so
%attr(-,root,man) /usr/share/man/man3/*

%files servers
%defattr(-,root,root)
%config(noreplace) %attr(600,root,root) /etc/ldap/slapd.conf
%config(noreplace) /etc/ldap/slapd.oc.conf
%config(noreplace) /etc/ldap/slapd.at.conf
%config(noreplace) /etc/ldap/go500gw.help
%config(noreplace) /etc/ldap/rcpt500.help
%config(noreplace) /etc/rc.d/init.d/ldap
%dir %attr(700,root,root) /var/lib/openldap-ldbm
/usr/sbin/*
%attr(-,root,man) /usr/share/man/man5/ldif.5*
%attr(-,root,man) /usr/share/man/man5/slapd.conf.5*
%attr(-,root,man) /usr/share/man/man5/slapd.replog.5*
%attr(-,root,man) /usr/share/man/man8/*
/var/ldap

%changelog
* Thu Feb 20 2003 Erlend Midttun <erlendbm@trustix.com> 1.2.13-1tr
- Updated to 1.2.13.

* Tue Jun 12 2001 Erlend Midttun <erlendbm@trustix.com>
- changed name to openldap1.
- New upstream version.

* Mon Mar 26 2001 Alexander Reelsen <ar@trustix.com>
- Fixed minor installation problem

* Mon Jan 29 2001 Oystein Viggen <oysteivi@trustix.com>
- chkconfig --add made the service start by default.  Fix the init-script.

* Fri Jan 19 2001 Erlend Midttun <erlendbm@trustix.com>
- Fixed permission on /usr/bin/ud.  No longer group root writeable.
- Force permission 600 on slapd.conf.
- Added chkconfig --add to make it show in list.

* Mon Jan  8 2001 Oystein Viggen <oysteivi@trustix.com>
- Made it not store the database in /var/run

* Thu Sep 14 2000 Per Ivar Paulsen <perp@trustix.com>
- update to 1.2.11

* Mon Feb 10 2000 Per Ivar Paulsen <perp@trustix.com>
- update to 1.2.10

* Mon Feb 10 2000 Per Ivar Paulsen <perp@trustix.com>
- Initial release for the Trustix Secure Linux distribution.
- Added noreplace.
- Moved man and info pages to /usr/share adhering to FHS
- TODO: add better default configuration

* Sun Jan 23 2000 Arne Coucheron <arneco@online.no>
  [1.2.9-1]

* Fri Dec 17 1999 Arne Coucheron <arneco@online.no>
  [1.2.8-1]

* Sat Sep 18 1999 Arne Coucheron <arneco@online.no>
  [1.2.7-1]

* Tue Aug 24 1999 Arne Coucheron <arneco@online.no>
  [1.2.6-1]

* Mon Jun 07 1999 Arne Coucheron <arneco@online.no>
  [1.2.3-1]
- enabled as much options as possible to the compile
- built on RH 6.0

* Thu Apr 22 1999 Arne Coucheron <arneco@online.no>
  [1.2.1-1]
- using %%{name} and %%{version} macros
- added -q parameter to %setup
- added URL tag
- using chkconfig to activate init script and added Prereq: for it
- devel package requires openldap
- fixed the path names in the man pages
- using %defattr in %files section
- simplified the use %files
- some changes in the init script (check that networking is up etc)
